package oop.Interface;

public interface SelfDrivable  {
	String AUTO_NAME = "BMW"; // ist default public static final
	
	
	void destination (String d);
	void drive();
	
	default void newMethod() {
		
		System.out.print("SelfDrivable");
	}
	
	
	static void klasseMethode() {
		
		System.out.print("Statiche Methode");
	}
	
	private void hilfsMethode() {
		  System.out.println("Hilfsmethode, die von anderen Methoden im Interface genutzt wird");
	}
	
	default void standardMethode1() {
	        System.out.println("Standardmethode 1");
	        hilfsMethode(); // Aufruf der privaten Methode innerhalb des Interfaces
	    }

}
